
Redmine - Feature #1214

REST API for Issues

2008-05-08 17:58 - Eric Davis

Status: Closed Start date: 2008-05-08

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: REST API Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed   

Description

Part of the main REST API issue (#296), this should expose some APIs to work with issues.

Get a list of issues

Create a new issue

Update an existing issue

Delete an issue

Related issues:

Related to Redmine - Feature #296: REST API Closed

Related to Redmine - Feature #5305: "related issues" info is required in XML ... Closed 2010-04-13

Blocked by Redmine - Feature #3920: REST API for authentication Closed 2009-09-25

Associated revisions

Revision 3310 - 2010-01-13 20:29 - Jean-Philippe Lang

XML REST API for issues that provides CRUD operations for Issues (#1214).

Revision 3766 - 2010-06-05 05:52 - Eric Davis

Added JSON support to the issues API. #1214

History

#1 - 2008-06-17 22:19 - Doug Raney

Im for this approach as well. See #725. I would like to see this API implemented as SOAP 1.2 compliant.

#2 - 2009-12-09 19:09 - Nikolay Kotlyarov

+1.

Need this to replace "csv import plugin"(and then import thousands of tasks from excel)

#3 - 2009-12-21 00:52 - Michael Ivanov

Incidentally, the author of "csv import plugin" recognizes that the plugin does not work: (.

Are there any other methods of import issues in large volumes?

P.S.  I speak English not just bad, but badly, I know:)

#4 - 2010-01-13 20:39 - Jean-Philippe Lang

- Category changed from Issues to REST API

- Status changed from New to Resolved

- Target version set to 0.9.1

- Resolution set to Fixed

Feature added in r3310.

Documentation started at Rest_api.

#5 - 2010-01-14 13:18 - Nikolay Kotlyarov

You've done it maaan:))) Awesome!!! Big thanks, Jean!
https://www.redmine.org/issues/296
https://www.redmine.org/issues/725
https://www.redmine.org/projects/redmine/repository/svn/revisions/3310
https://www.redmine.org/projects/redmine/wiki/Rest_api


#6 - 2010-01-14 22:36 - Eric Davis

Shouldn't this be targeted for 1.0 and not 0.9.1?  I thought the 0.9 series was in RC and new features are for 1.0 only?

#7 - 2010-01-14 22:54 - Jean-Philippe Lang

You're right, 0.9 is in RC.

But it's not a big change and it would be a shame to have a API style authentication without any API behind in 0.9. This API should be considered as

a draft in 0.9 so we can get some feedback and improve it for 1.0.

#8 - 2010-01-14 23:03 - Eric Davis

Jean-Philippe Lang wrote:

But it's not a big change and it would be a shame to have a API style authentication without any API behind in 0.9. This API should be

considered as a draft in 0.9 so we can get some feedback and improve it for 1.0.

 I'd disagree, this is a moderate sized change.  It adds an entire API, new views, and some more routes. (From what I'm seeing, it's also missing the

JSON format)

Also 0.9 already included part of the XML/JSON API for News to test the API authentications (http://www.redmine.org/issues/3920#note-8).  My goal

was to get API authentication tested and into 0.9 so plugin developers can take advantage of it to build APIs for their plugins while the core had time

to refine the main REST API.

#9 - 2010-01-16 12:17 - Jean-Philippe Lang

- Target version changed from 0.9.1 to 1.0.0 (RC)

#10 - 2010-01-18 18:03 - Henrik Mohr

I just updated our installation today from master (github) -> version 0.9.1.

/projects.xml returns usable XML, but

/issues.xml returns html

The begin of the HTML is:

    <h2>Issues</h2>

    <form action="/queries/new" id="query_form" method="post"><div style="margin:0;padding:0;display:inline"

><input name="authenticity_token" type="hidden" value="TgnsQpEayRkvUZGDHNfYmQSvo/Fs/yQPPnK/Pz6IM8Y=" /></div>

        <div id="query_form_content">

    <fieldset id="filters"><legend>Filters</legend>

    <script type="text/javascript">

 Any ideas on what is wrong?

#11 - 2010-01-25 17:45 - Lane Roathe

I am looking forward to seeing this happen. For areas I am interested in using it, I would want JSON data (for example, any mobile device at this time

handles XML very slowly compared to JSON), so I am glad to see it's being provided so far and I hope continues to be going forward. :)

#12 - 2010-02-10 08:23 - Hannes Horneber

I’ve got the same issue like Henrik. Projects.xml works just fine, but issues.xml returns html.

I just updated from github to Version 0.9.2dev.

Any Ideas?

#13 - 2010-02-10 10:10 - Felix Schäfer

Hannes and Henrik, the issues.xml issue is a new bug regarding functionality that has been introduced and is believed to be working, please file a

new bug for that problem.

#14 - 2010-02-10 19:14 - Hannes Horneber

Hi there... I just submitted a bug report Issues #4795.

Hopefully this is going to be fixed soon ;-)

#15 - 2010-02-11 22:41 - Hannes Horneber

Just to give some feedback. The problem Henrik and I mentioned was solved for me, if I removed the redmine_subtasks_plugin.

Is had nothing to do with redmine itself.
http://www.redmine.org/issues/3920#note-8
https://www.redmine.org/issues/4795


#16 - 2010-02-19 06:30 - Eric Davis

- Status changed from Resolved to 7

- Resolution deleted (Fixed)

Reopening this, the JSON format isn't finished yet and I want to make sure it isn't missed.

#17 - 2010-06-05 05:46 - Eric Davis

- Status changed from 7 to Closed

- Assignee set to Eric Davis

- % Done changed from 0 to 100

- Resolution set to Fixed

Added json support to the issues API (r3766).
